﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewPublicPlatoonFreePunishWithUserDb(engine *xorm.Engine) dao.PublicPlatoonFreePunishWithUserDao {
	return &PublicPlatoonFreePunishWithUserDb{Db: engine}
}

type PublicPlatoonFreePunishWithUserDb struct {
	Db *xorm.Engine
}

func (p PublicPlatoonFreePunishWithUserDb) FindAllPublicPlatoonFreePunishWithUser() (resp map[int64]*model.PublicPlatoonFreePunishWithUser, err error) {
	var m []model.PublicPlatoonFreePunishWithUser
	err = p.Db.Where("1=1").Find(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	resp = map[int64]*model.PublicPlatoonFreePunishWithUser{}
	for _, v := range m {
		resp[v.Uid] = &v
	}
	return
}

func (p PublicPlatoonFreePunishWithUserDb) PublicPlatoonFreePunishWithUserInsert(PublicPlatoonFreePunishWithUser *model.PublicPlatoonFreePunishWithUser) (int, error) {
	_, err := p.Db.InsertOne(PublicPlatoonFreePunishWithUser)
	if err != nil {
		return 0, err
	}
	return PublicPlatoonFreePunishWithUser.Id, nil
}

func (p PublicPlatoonFreePunishWithUserDb) PublicPlatoonFreePunishWithUserUpdate(Db *xorm.Engine, id interface{}, PublicPlatoonFreePunishWithUser *model.PublicPlatoonFreePunishWithUser, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = Db.Where("id=?", id).Cols(forceColums...).Update(PublicPlatoonFreePunishWithUser)
	} else {
		affected, err = Db.Where("id=?", id).Update(PublicPlatoonFreePunishWithUser)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}
