﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"fmt"
	"xorm.io/xorm"
)

func NewUserDb(engine *xorm.Engine) dao.UserDao {
	return &UserDb{Db: engine}
}

type UserDb struct {
	Db *xorm.Engine
}

func (u UserDb) UserGetOneByParams(params map[string]interface{}) (*model.User, error) {
	var m model.User
	var query = fmt.Sprintf("%s =?", params["key"])
	if has, err := u.Db.Where(query, params["value"]).Get(&m); err != nil || has == false {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
