﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

func NewUserVirtualCoinFlowDb(engine *xorm.Engine) dao.UserVirtualCoinFlowDao {
	return &UserVirtualCoinFlowDb{Db: engine}
}

type UserVirtualCoinFlowDb struct {
	Db *xorm.Engine
}

func (u UserVirtualCoinFlowDb) UserVirtualCoinFlowInsertBySession(session *xorm.Session, UserVirtualCoinFlow *model.UserVirtualCoinFlow) (int64, error) {
	_, err := session.InsertOne(UserVirtualCoinFlow)
	if err != nil {
		return 0, err
	}
	return UserVirtualCoinFlow.Id, nil
}
